Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature
Interface SignatureBuilder

All Known Implementing Classes:
  CmsSignatureBuilder, XmlSignatureBuilder

    public interface SignatureBuilder

interface for building signatures.

Method Summary
`AdvancedElectronicSignatureEnumeration` | `getSupportedAES()`
`byte[]` | `sign(Credential signatureCredential, byte[] byteArrayToSign)`
`byte[]` | `sign(Credential signatureCredential, byte[] byteArrayToSign, Map<String,Object> options)`
`SignatureVerificationResult` | `verify(byte[] content, byte[] signature, Map<String,Object> options)`
`SignatureVerificationResult` | `verify(byte[] signedByteArray, Map<String,Object> options)`
`SignatureVerificationResult` | `verify(Document signedContent, Element sigElement, Map<String,Object> options)`

Method Detail

### sign

    byte[] sign(Credential signatureCredential,
                byte[] byteArrayToSign)
                throws TechnicalConnectorException

  Parameters:
    `signatureCredential` -
    `byteArrayToSign` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### sign

    byte[] sign(Credential signatureCredential,
                byte[] byteArrayToSign,
                Map<String,Object> options)
                throws TechnicalConnectorException

  Parameters:
    `signatureCredential` -
    `byteArrayToSign` -
    `options` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### verify

    SignatureVerificationResult verify(byte[] content,
                                       byte[] signature,
                                       Map<String,Object> options)
                                       throws TechnicalConnectorException

  Parameters:
    `content` -
    `signature` -
    `options` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### verify

    SignatureVerificationResult verify(byte[] signedByteArray,
                                       Map<String,Object> options)
                                       throws TechnicalConnectorException

  Parameters:
    `signedByteArray` -
    `options` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### verify

    SignatureVerificationResult verify(Document signedContent,
                                       Element sigElement,
                                       Map<String,Object> options)
                                       throws TechnicalConnectorException

  Parameters:
    `signedContent` -
    `sigElement` -
    `options` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### getSupportedAES

    AdvancedElectronicSignatureEnumeration getSupportedAES()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.